local bufopt = require('bufopt')
local utils = require('utils')

local o = vim.o
local g = vim.g
local b = vim.b
local opts = vim.opt

o.hidden = true
o.clipboard = 'unnamedplus'
o.encoding = 'utf-8'
o.fileencoding = 'utf-8'
o.ruler = true
o.cmdheight = 2
o.backup = false
o.writebackup = false
o.number = true
o.relativenumber = true
o.cursorline = true
o.showtabline = 2
o.laststatus = 0
o.termguicolors = true
o.updatetime = 250
o.laststatus = 3
o.foldcolumn = '1'
o.foldlevel = 99
o.foldlevelstart = 99
o.foldenable = true
o.breakindent = true

bufopt.expandtab = false
bufopt.copyindent = true
bufopt.tabstop = 8
bufopt.softtabstop = 8
bufopt.shiftwidth = 8
bufopt.autoindent = true

g.mapleader = ' '
b.mapleader = ' '
g.loaded_netrw = 1
g.loaded_netrwPlugin = 1
g.instant_username = 'james'

opts.listchars:append({ tab = '│  ', eol = '↵', space = ' ', multispace = '· ' })
opts.list = true

vim.cmd('filetype plugin indent on')
