local lsp_conf = require('lspconfig')
local lsp = vim.lsp

local capabilities = require('cmp_nvim_lsp').default_capabilities()
capabilities.foldingRange = {
	dynamicRegistration = false,
	lineFoldingOnly = true,
}

local servers_no_conf = {
	'rust_analyzer',
	'ols',
	'gdscript',
	'lua_ls',
	'clangd',
	'pylsp',
	'html',
	'awk_ls',
	'tsserver',
	'gopls',
	'svelte',
	'zls',
	'bashls',
	'tailwindcss',
	'nixd',
}

for _, server in ipairs(servers_no_conf) do
	lsp_conf[server].setup{
		capabilities = capabilities,
	}
end

vim.diagnostic.config{
	virtual_text = false,
	signs = true,
}
vim.cmd [[autocmd CursorHold,CursorHoldI * lua vim.diagnostic.open_float(nil, { scope = 'cursor', focus = false })]]

vim.lsp.handlers['textDocument/hover'] = lsp.with(lsp.handlers.hover, {})
vim.keymap.set('n', 'K', lsp.buf.hover, {})
vim.keymap.set('n', 'gd', lsp.buf.definition, {})
vim.keymap.set('n', 'gD', lsp.buf.declaration, {})
vim.keymap.set('n', 'gi', lsp.buf.implementation, {})
vim.keymap.set('n', '<Leader>rn', lsp.buf.rename, {})
